<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="link.styler.styler_android">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_LOGS" />


    <application
        android:name="link.styler.MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <meta-data android:name="com.google.android.geo.API_KEY"
            android:value="AIzaSyAIk2oAIhHBz8F6t-v2eA3ie2oOR1isxZM" />
        <activity android:name=".New_TabHost.MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <meta-data android:name="io.fabric.ApiKey"
            android:value="64ddcd87c026a9eba16a80f6516316276eda8747" />

        <activity android:name=".New_TabHost.Create.STCreatePostViewControllerActivity"
            android:windowSoftInputMode="adjustResize" />
        <activity android:name=".New_TabHost.Create.STCreateReplyViewControllerActivity"
            android:windowSoftInputMode="stateHidden" />
        <activity android:name=".New_TabHost.MyPage.Account.STProfileInfoViewControllerActivity"
            android:windowSoftInputMode="stateHidden" />
        <activity android:name=".New_TabHost.Article.STArticleWebViewControllerActivity" />
        <activity android:name=".New_TabHost.Walkthrough.STTutorialViewController" />
        <activity android:name=".New_TabHost.Common.STWebViewControllerActivity" />
        <activity android:name=".New_TabHost.Home.Event.STMapViewController" />

        <activity android:name=".New_TabHost.StylerActivity"/>
        <activity android:name=".New_TabHost.WaitActivity" />
        <activity android:name=".New_TabHost.LoginActivity" />
        <activity android:name=".New_TabHost.SignUpActivity" />
        <activity android:name=".New_TabHost.ForgotPasswordActivity" />

        <activity android:name="link.styler.GCM.Dialog"
            android:theme="@style/Theme.AppCompat.Light.Dialog.Alert" />

        <receiver android:name="com.google.android.gms.gcm.GcmReceiver"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />
                <category android:name="link.styler.styler_android" />
            </intent-filter>
        </receiver>

        <service android:name="link.styler.GCM.MyGcmListenerService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />
            </intent-filter>
        </service>
        <service android:name="link.styler.GCM.MyInstanceIDListenerService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.android.gms.iid.InstanceID" />
            </intent-filter>
        </service>
        <service android:name="link.styler.GCM.RegistrationIntentService" />

        <meta-data android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />
        <activity android:name="com.facebook.FacebookActivity"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:label="@string/app_name" />
        <activity android:name=".New_TabHost.SDKFacebook.FacebookLoginActivity" />

    </application>

</manifest>